<!DOCTYPE HTML>
<html>
    <head>
        <title>Activity: CSS Introduction</title>
        <link rel="stylesheet" href="index.css">
    </head>
    <body>
        <div>
        <!-- Different ways to include CSS -->
        <!-- 2. Apply inline styling to a paragraph tag. -->
        <p style="color: red">Apply inline styling here.</p>
        
        <!-- 3. Apply internal styling to a paragraph tag.  -->
        <style>
        p {
                color: orange;
            }
        </style>
        <p>Apply internal styling here.</p>

        <p id="sentence3">Apply external styling here.</p>

        </div>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2 ID="learning">The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol>
            <li class="learning1">Hypertext Markup Language</li>
            <li class="learning1">Cascading Style Sheet</li>
            <li class="learning1">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol>
            <li style="color: blueviolet;">Sublime Text</li>
            <li style="color: blueviolet;">Postman</li>
            <li style="color: blueviolet;">Heroku</li>
            <li style="color: blueviolet;">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p style="color: black;">Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>